=== modified file 'ivle/webapp/submit/submit.html'
--- ivle/webapp/submit/submit.html	2009-03-26 10:12:18 +0000
+++ ivle/webapp/submit/submit.html	2009-03-26 12:15:37 +0000
@@ -8,18 +8,16 @@
     <div id="ivle_padding">
       <p>You are submitting '${path}' from the repository for ${principal}.</p>
       <p>Which project do you wish to submit this for?</p>
-      <form action="" method="POST">
+      <form action="" method="post">
         <ul style="list-style: none">
           <li py:for="project in principal.get_projects()"
               py:with="attrs = {'disabled': 'disabled'} if project.deadline &lt; now else {}">
-            <input type="radio" name="project" value="${project.id}" py:attrs="attrs">
-              ${project.name} - <em>${project.synopsis}</em> - (due
-${format_datetime(project.deadline)})
-            </input>
+            <input type="radio" name="project" id="project_${project.id}" value="${project.id}" py:attrs="attrs" />
+            <label for="project_${project.id}">${project.name} - <em>${project.synopsis}</em> - (due ${format_datetime(project.deadline)})</label>
           </li>
         </ul>
         <p>You may resubmit this project again at any time until the deadline.</p>
-        <input type="submit" value="Submit Project" />
+        <p><input type="submit" value="Submit Project" /></p>
       </form>
     </div>
   </body>

